set( sbnana_VERSION 09.20.00 )
set( sbnana_UPS_VERSION v09_20_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( sbnanaobj v09_15_00 )
find_ups_root( v6_00_00 )
find_ups_boost(  )
find_ups_product( ifdhc  )
find_ups_product( srproxy  )
find_ups_product( osclib  )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
set(STANDARDRECORDPROXY "$ENV{SBNANA_LIB}/libStandardRecordProxy.so")
set(CAFANACORE "$ENV{SBNANA_LIB}/libCAFAnaCore.so")
set(CAFANAVARS "$ENV{SBNANA_LIB}/libCAFAnaVars.so")
set(CAFANACUTS "$ENV{SBNANA_LIB}/libCAFAnaCuts.so")
set(CAFANASYSTS "$ENV{SBNANA_LIB}/libCAFAnaSysts.so")
set(CAFANAEXTRAP "$ENV{SBNANA_LIB}/libCAFAnaExtrap.so")
set(CAFANAPREDICTION "$ENV{SBNANA_LIB}/libCAFAnaPrediction.so")
set(CAFANAEXPERIMENT "$ENV{SBNANA_LIB}/libCAFAnaExperiment.so")
set(CAFANAANALYSIS "$ENV{SBNANA_LIB}/libCAFAnaAnalysis.so")
set(FLATMAKER "$ENV{SBNANA_LIB}/libFlatMaker.so")
set(SBNANAVARS "$ENV{SBNANA_LIB}/libSBNAnaVars.so")
set(SBNANACUTS "$ENV{SBNANA_LIB}/libSBNAnaCuts.so")
  include_directories ( "$ENV{SBNANA_INC}" )

check_required_components(sbnana)

